Name:           libfishsound
Version:        0.9.1
Release:        1%{?dist}
Summary:        Simple programming interface for Xiph.Org codecs

Group:          System Environment/Libraries
License:        BSD
URL:            http://www.annodex.net/
Source0:        http://www.annodex.net/software/libfishsound/download/libfishsound-%{version}.tar.gz
Patch0:         libfishsound-0.9.1-FLAC.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# also pulled in by speex-devel
BuildRequires:  pkgconfig
BuildRequires:  flac-devel
BuildRequires:  speex-devel libvorbis-devel liboggz-devel libsndfile-devel
BuildRequires:  doxygen

%description
libfishsound provides a simple programming interface for decoding and
encoding audio data using Xiph.Org codecs (FLAC, Speex and Vorbis).

libfishsound by itself is designed to handle raw codec streams from a
lower level layer such as UDP datagrams. When these codecs are used in
files, they are commonly encapsulated in Ogg to produce Ogg FLAC, Speex
and Ogg Vorbis files.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig libvorbis-devel speex-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        doc
Summary:        Documentation for %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}

%description    doc
The %{name}-doc package contains the documentation for %{name}.

%package        tools
Summary:        Sample programs bundled with %{name}
Group:          Applications/Multimedia
Requires:       %{name} = %{version}-%{release}

%description    tools
The %{name}-tools package contains sample programs that use %{name}.
The source code for these are included in %{name}-doc.


%prep
%setup -q
%patch0 -p1 -b .FLAC


%build
%configure --disable-static # --docdir=%{_datadir}/doc/%{name}-docs-%{version}
# Don't use rpath!
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
# overriding docdir does not work
mv $RPM_BUILD_ROOT%{_datadir}/doc/%{name} \
   other-docs
# move the examples we want
mkdir -p $RPM_BUILD_ROOT%{_bindir}
(cd src/examples/ && \
  mv .libs/* $RPM_BUILD_ROOT%{_bindir} &&
  make clean && rm -rf .deps .libs Makefile.*)
mv src/examples .


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/fishsound.pc

%files doc
%defattr(-,root,root,-)
%doc examples other-docs/*

%files tools
%defattr(-,root,root,-)
%{_bindir}/*


%changelog
* Wed Apr  9 2008 Michel Salim <salimma@fedoraproject.org> - 0.9.1-1
- Update to 0.9.1 (CVE-2008-1686, bz #441246)

* Thu Feb 14 2008 Michel Salim <michel.sylvan@gmail.com> - 0.9.0-5
- Previous revision misspelled speex

* Wed Feb 13 2008 Michel Salim <michel.sylvan@gmail.com> - 0.9.0-4
- Add missing dependencies on libvorbis-devel and speex-devel
  for -devel subpackage

* Sat Jan 19 2008 Michel Salim <michel.sylvan@gmail.com> - 0.9.0-3
- Port FLAC support to new (>= 1.1.3) API

* Fri Jan 18 2008 Michel Salim <michel.sylvan@gmail.com> - 0.9.0-2
- Add dependency on liboggz
- Rename -docs subpackage to -doc
- Note in description that FLAC support is currently disabled

* Wed Jan 16 2008 Michel Salim <michel.sylvan@gmail.com> - 0.9.0-1
- Initial Fedora package
